/**
 *    Copyright 2006 - 2011 Opera Software ASA
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 *
 **/


var TempBaseView = function()
{
  this._count = 0;
  this._init_super = this.init;
  this._getid = (function()
  {
    var count = 0;
    return function()
    {
      return "temp-view-" + (++count);
    }
  })();
  this.init = function(name, container_class, html, default_handler)
  {
    this._init_super(this._getid(), name, container_class, html, default_handler);
  }
};
var TempView = function(name, container_class, html, default_handler){};
TempBaseView.prototype = ViewBase;
TempView.prototype = new TempBaseView();
